FLANG

Classes | Public Member Functions | List of all members
Fortran::parser::OffsetToProvenanceMappings Class Reference

## Public Member Functions
void | clear ()
void | swap (OffsetToProvenanceMappings &)
void | shrink_to_fit ()
std::size_t | SizeInBytes () const
void | Put (ProvenanceRange)
void | Put (const OffsetToProvenanceMappings &)
ProvenanceRange | Map (std::size_t at) const
void | RemoveLastBytes (std::size_t)
ProvenanceRangeToOffsetMappings | Invert (const AllSources &) const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Parser/provenance.h
- lib/Parser/provenance.cpp